TEST(1)

NAVN
test - kontroller filtyper og sammenlign værdier

SYNOPSIS
test UDTRYK
test
[ UDTRYK ]
[ ]"
[ FLAG

BESKRIVELSE

Returnér med en statusværdi som bestemmes af UDTRYK.

--help
    vis denne hjælpetekst og afslut

--version
    vis versionsinformation og afslut

Et udeladt UDTRYK er som standard falsk. Ellers er UDTRYK sandt eller falsk og afgør returværdien. Det er én af:

( UDTRYK )
    UDTRYK er sandt

! UDTRYK
    UDTRYK er falsk

UDTRYK1 -a UDTRYK2
    både UDTRYK1 og UDTRYK2 er sande

UDTRYK1 -o UDTRYK2
    mindst ét af udtrykkene er sande

-n STRENG
    længden af STRENG er forskellig fra nul

STRENG
    samme som -n STRENG

-z STRENG
    længden af STRENG er nul

STRENG1 = STRENG2
    strengene er ens

STRENG1 != STRENG2
    strengene er forskellige

STRENG1 > STRENG2
    STRING1 is greater than STRING2 in the current locale

STRENG1 < STRENG2
    STRING1 is less than STRING2 in the current locale

HELTAL1 -eq HELTAL2
    HELTAL1 er lig med HELTAL2

HELTAL1 -ge HELTAL2
    HELTAL1 er større end eller lig med HELTAL2

HELTAL1 -gt HELTAL2
    HELTAL1 er større end HELTAL2

HELTAL1 -le HELTAL2
    HELTAL1 er mindre end eller lig med HELTAL2

HELTAL1 -lt HELTAL2
    HELTAL1 er mindre end HELTAL2

HELTAL1 -ne HELTAL2
    HELTAL1 er forskellig fra HELTAL2

FIL1 -ef FIL2
    FIL1 og FIL2 har samme enheds- og inodenummer

FIL1 -nt FIL2
    FIL1 er nyere (ændringstidspunkt) end FIL2

FIL1 -ot FIL2
    FIL1 er ældre end FIL2

-b FIL
    FIL findes og er en specialfil for blokadgang

-c FIL
    FIL findes og er en specialfil for tegnadgang

-d FIL
    FIL findes og er et katalog

-e FIL
    FIL findes

-f FIL
    FIL findes og er en almindelig fil

-g FIL
    FIL findes og har sæt-gruppe-ID-bitten sat

-G FIL
    FIL findes og ejes af det effektive gruppe-ID

-h FIL
    FIL findes og er en symbolsk lænke (samme som -L)

-k FIL
    FIL findes med klæbebitten sat

-L FIL
    FIL findes og er en symbolsk lænke (samme som -h)

-N FIL
    FIL findes og er blevet ændret, siden den sidst blev indlæst

-O FIL
    FIL findes og ejes af det effektive bruger-ID

-p FIL
    FIL findes og er en navngivet datakanal

-r FIL
    FIL findes og brugeren har læseadgang

-s FIL
    FIL findes og har størrelse større end nul

-S FIL
    FIL findes og er en sokkel

-t FD
    fildeskriptor FD er åbnet i en terminal

-u FIL
    FIL findes og dens set-user-ID-bit er sat

-w FIL
    FIL findes og brugeren har skriveadgang

-x FIL
    FIL findes og brugeren har adgang til at afvikle (eller søge)

På nær for -h og -L, vil alle FIL-relaterede test dereferere symbolske lænker. Vær opmærksom på at parenteser skal undviges (f.eks. med omvendt skråstreg) for skaller. HELTAL kan også være -l STRENG, som evalueres til længden af STRENG.

Binært -a og -o er fundamentalt flertydige. Brug »test EXPR1 && test EXPR2« eller »test EXPR1 || test EXPR2« i stedet.

»[« respekterer flagene --help og --version, men »test« behandler dem som STRENGE.

Din skal har måske sin egen version af test og/eller [, som normalt erstatter versionen beskrevet her. Se venligst din skals dokumentation for detaljer angående de understøttede flag.

FORFATTER
Skrevet af Kevin Braunsdorf og Matthew Bradburn.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapporter oversættelsesfejl til <https://translationproject.org/team/da.html>

SE OGSÅ
access(2)

Fuld dokumentation <https://www.gnu.org/software/coreutils/test>
eller lokalt tilgængelig via: info '(coreutils) test invocation'

Packaged by Debian (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det.
Der gives INGEN GARANTI, i den grad som loven tillader dette.

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.